import 'package:nanulishus_models/shipping.dart';

class PaymentModel {
  String id;
  int amount;
  String currency;
  String paymentMethod;
  String email;
  ShippingModel shipping;


  PaymentModel({
    this.id,
    this.amount,
    this.currency,
    this.paymentMethod,
    this.email,
    this.shipping,
  });

  factory PaymentModel.fromJson(Map<String, dynamic> parsedJson) {
    return PaymentModel(
      id: parsedJson["id"],
      paymentMethod: parsedJson['payment_method'],
      email: parsedJson['receipt_email'],
      shipping: ShippingModel.fromJson(parsedJson['shipping']),
    );
  }

  Map<String, dynamic> toJson() => {
    "amount": amount,
    "currency": currency,
    "receipt_email": email,
    "shipping": shipping,
    "payment_method": paymentMethod,
  };
}